%define __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:           mingw64-headers
Version:        1.0b.20110505
Release:        0
Summary:        MinGW-W64 headers for win32 and win64

Group:          Development/Libraries
License:        Public Domain
URL:            http://www.mingw.org/

Source0:        mingw-w64-headers-%{version}.tar.bz2
Source1000:     %{name}-rpmlintrc

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
#!BuildIgnore: post-build-checks

BuildRequires:  mingw64-filesystem

%description
MinGW Win64 headers.


%prep
%setup -q -n mingw-w64-headers-%{version}

%build
./configure --host=%{_mingw64_target} \
	--prefix=%{_prefix} \
	--with-sdk=all

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}
mkdir -p $RPM_BUILD_ROOT%{_mingw64_includedir}
ln -s $RPM_BUILD_ROOT%{_mingw64_includedir} \
$RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/include

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/include

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_prefix}/%{_mingw64_target}
%{_mingw64_sysroot}


%changelog
